Date: Tue, 29 Jul 2014 10:42:12 +0000
Mime-Version: 1.0 (Produced by PhpWiki 1.5.0)
Content-Type: application/x-phpwiki;
  pagename=Help%2FListPagesPlugin;
  flags=PAGE_LOCKED%2CEXTERNAL_PAGE;
  charset=UTF-8
Content-Transfer-Encoding: binary

The **~ListPages** [[Help:WikiPlugin|plugin]] is the simplest plugin to explicitly list a set of pages with all available
[[Help:PageList|PageList]] options, mainly used for a wikilens theme to display ratings info
and recommendations.

It can also be used with the [[PluginList]] method to list a set of pages generated by
another plugin, and/or to exclude a set of pages generated by another plugin.

See the [[Help:PageList|PageList]] options.

== Usage ==

{{{
<<ListPages arguments>>
}}}

== Arguments ==

All [[Help:PageList|PageList]] arguments, plus the following ones:

{| class="bordered"
|-
! Argument
! Description
! Default value
|-
| **pages**
| Pages to list
| false
|-
| **dimension**
|
| 0
|}

=== Additional info arguments ===

|= top3recs     | recommendations (wikilens theme only)
|= numbacklinks | number of backlinks (links to the given page)
|= numpagelinks | number of forward links (links at the given page)

== Examples ==

{{{
<<ListPages pages=HomePage,FindPage>>
}}}

{{{
<<ListPages info=hits
            sortby=hits
            pages=<!plugin-list BackLink page=[] !>
            exclude=ListPagesPlugin,WikiPlugin
>>
}}}

<noinclude>
----
[[PhpWikiDocumentation]] [[CategoryWikiPlugin]]
</noinclude>
